repo
stringlengths
1
152
file
stringlengths
15
205
code
stringlengths
0
41.6M
file_length
int64
0
41.6M
avg_line_length
float64
0
1.81M
max_line_length
int64
0
12.7M
extension_type
stringclasses
90 values
null
ceph-main/qa/standalone/mon/mon-created-time.sh
#!/usr/bin/env bash # # Copyright (C) 2015 SUSE LINUX GmbH # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU Library Public License as published by # the Free Software Foundation; either version 2, or (at your option) # any later version. # # This program is distri...
1,548
27.163636
106
sh
null
ceph-main/qa/standalone/mon/mon-handle-forward.sh
#!/usr/bin/env bash # # Copyright (C) 2013 Cloudwatt <libre.licensing@cloudwatt.com> # Copyright (C) 2014,2015 Red Hat <contact@redhat.com> # # Author: Loic Dachary <loic@dachary.org> # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU Library Public License as publi...
2,612
39.2
92
sh
null
ceph-main/qa/standalone/mon/mon-last-epoch-clean.sh
#!/usr/bin/env bash source $CEPH_ROOT/qa/standalone/ceph-helpers.sh function run() { local dir=$1 shift export CEPH_MON="127.0.0.1:7302" # git grep '\<7105\>' : there must be only one export CEPH_ARGS CEPH_ARGS+="--fsid=$(uuidgen) --auth-supported=none " CEPH_ARGS+="--mon-host=$CEPH_MON " ...
7,495
23.337662
83
sh
null
ceph-main/qa/standalone/mon/mon-osdmap-prune.sh
#!/bin/bash source $CEPH_ROOT/qa/standalone/ceph-helpers.sh base_test=$CEPH_ROOT/qa/workunits/mon/test_mon_osdmap_prune.sh function run() { local dir=$1 shift export CEPH_MON="127.0.0.1:7115" export CEPH_ARGS CEPH_ARGS+="--fsid=$(uuidgen) --auth-supported=none --mon-host=$CEPH_MON " local funcs=${@:-$...
1,440
23.844828
76
sh
null
ceph-main/qa/standalone/mon/mon-ping.sh
#!/usr/bin/env bash # # Copyright (C) 2015 SUSE LINUX GmbH # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU Library Public License as published by # the Free Software Foundation; either version 2, or (at your option) # any later version. # # This program is distri...
1,270
26.042553
83
sh
null
ceph-main/qa/standalone/mon/mon-scrub.sh
#!/usr/bin/env bash # # Copyright (C) 2014 Cloudwatt <libre.licensing@cloudwatt.com> # Copyright (C) 2014, 2015 Red Hat <contact@redhat.com> # # Author: Loic Dachary <loic@dachary.org> # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU Library Public License as publ...
1,398
26.98
83
sh
null
ceph-main/qa/standalone/mon/mon-seesaw.sh
#!/usr/bin/env bash source $CEPH_ROOT/qa/standalone/ceph-helpers.sh function run() { local dir=$1 shift export CEPH_MON_A="127.0.0.1:7139" # git grep '\<7139\>' : there must be only one export CEPH_MON_B="127.0.0.1:7141" # git grep '\<7141\>' : there must be only one export CEPH_MON_C="127.0.0.1:...
2,144
28.383562
85
sh
null
ceph-main/qa/standalone/mon/osd-crush.sh
#!/usr/bin/env bash # # Copyright (C) 2014 Cloudwatt <libre.licensing@cloudwatt.com> # Copyright (C) 2014, 2015 Red Hat <contact@redhat.com> # # Author: Loic Dachary <loic@dachary.org> # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU Library Public License as publ...
6,754
33.28934
111
sh
null
ceph-main/qa/standalone/mon/osd-df.sh
#!/bin/bash source $CEPH_ROOT/qa/standalone/ceph-helpers.sh function run() { local dir=$1 shift export CEPH_MON="127.0.0.1:7113" # git grep '\<7113\>' : there must be only one export CEPH_ARGS CEPH_ARGS+="--fsid=$(uuidgen) --auth-supported=none " CEPH_ARGS+="--mon-host=$CEPH_MON " local ...
4,107
40.918367
83
sh
null
ceph-main/qa/standalone/mon/osd-erasure-code-profile.sh
#!/usr/bin/env bash # # Copyright (C) 2014 Cloudwatt <libre.licensing@cloudwatt.com> # Copyright (C) 2014, 2015 Red Hat <contact@redhat.com> # # Author: Loic Dachary <loic@dachary.org> # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU Library Public License as publ...
7,883
31.713693
116
sh
null
ceph-main/qa/standalone/mon/osd-pool-create.sh
#!/usr/bin/env bash # # Copyright (C) 2013, 2014 Cloudwatt <libre.licensing@cloudwatt.com> # Copyright (C) 2014, 2015 Red Hat <contact@redhat.com> # # Author: Loic Dachary <loic@dachary.org> # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU Library Public License a...
10,491
33.064935
113
sh
null
ceph-main/qa/standalone/mon/osd-pool-df.sh
#!/usr/bin/env bash # # Copyright (C) 2017 Tencent <contact@tencent.com> # # Author: Chang Liu <liuchang0812@gmail.com> # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU Library Public License as published by # the Free Software Foundation; either version 2, or (at...
2,547
32.090909
112
sh
null
ceph-main/qa/standalone/mon/test_pool_quota.sh
#!/usr/bin/env bash # # Generic pool quota test # # Includes source $CEPH_ROOT/qa/standalone/ceph-helpers.sh function run() { local dir=$1 shift export CEPH_MON="127.0.0.1:17108" # git grep '\<17108\>' : there must be only one export CEPH_ARGS CEPH_ARGS+="--fsid=$(uuidgen) --auth-supported=non...
1,496
22.390625
85
sh
null
ceph-main/qa/standalone/osd-backfill/osd-backfill-prio.sh
#!/usr/bin/env bash # # Copyright (C) 2019 Red Hat <contact@redhat.com> # # Author: David Zafman <dzafman@redhat.com> # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU Library Public License as published by # the Free Software Foundation; either version 2, or (at y...
15,875
29.355641
128
sh
null
ceph-main/qa/standalone/osd-backfill/osd-backfill-recovery-log.sh
#!/usr/bin/env bash # # Copyright (C) 2019 Red Hat <contact@redhat.com> # # Author: David Zafman <dzafman@redhat.com> # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU Library Public License as published by # the Free Software Foundation; either version 2, or (at y...
3,941
27.157143
151
sh
null
ceph-main/qa/standalone/osd-backfill/osd-backfill-space.sh
#!/usr/bin/env bash # # Copyright (C) 2018 Red Hat <contact@redhat.com> # # Author: David Zafman <dzafman@redhat.com> # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU Library Public License as published by # the Free Software Foundation; either version 2, or (at y...
31,780
26.001699
134
sh
null
ceph-main/qa/standalone/osd-backfill/osd-backfill-stats.sh
#!/usr/bin/env bash # # Copyright (C) 2017 Red Hat <contact@redhat.com> # # Author: David Zafman <dzafman@redhat.com> # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU Library Public License as published by # the Free Software Foundation; either version 2, or (at y...
26,343
33.572178
300
sh
null
ceph-main/qa/standalone/osd/bad-inc-map.sh
#!/usr/bin/env bash source $CEPH_ROOT/qa/standalone/ceph-helpers.sh mon_port=$(get_unused_port) function run() { local dir=$1 shift export CEPH_MON="127.0.0.1:$mon_port" export CEPH_ARGS CEPH_ARGS+="--fsid=$(uuidgen) --auth-supported=none " CEPH_ARGS+="--mon-host=$CEPH_MON " set -e ...
1,360
20.603175
73
sh
null
ceph-main/qa/standalone/osd/divergent-priors.sh
#!/usr/bin/env bash # # Copyright (C) 2019 Red Hat <contact@redhat.com> # # Author: David Zafman <dzafman@redhat.com> # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU Library Public License as published by # the Free Software Foundation; either version 2, or (at y...
23,442
26.386682
130
sh
null
ceph-main/qa/standalone/osd/ec-error-rollforward.sh
#!/usr/bin/env bash source $CEPH_ROOT/qa/standalone/ceph-helpers.sh function run() { local dir=$1 shift # Fix port???? export CEPH_MON="127.0.0.1:7132" # git grep '\<7132\>' : there must be only one export CEPH_ARGS CEPH_ARGS+="--fsid=$(uuidgen) --auth-supported=none " CEPH_ARGS+="--mon-h...
1,612
23.074627
83
sh
null
ceph-main/qa/standalone/osd/osd-bench.sh
#!/usr/bin/env bash # # Copyright (C) 2014 Cloudwatt <libre.licensing@cloudwatt.com> # Copyright (C) 2014, 2015 Red Hat <contact@redhat.com> # # Author: Loic Dachary <loic@dachary.org> # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU Library Public License as publ...
3,021
29.836735
86
sh
null
ceph-main/qa/standalone/osd/osd-bluefs-volume-ops.sh
#!/usr/bin/env bash source $CEPH_ROOT/qa/standalone/ceph-helpers.sh [ `uname` = FreeBSD ] && exit 0 function run() { local dir=$1 shift local funcs=${@:-$(set | sed -n -e 's/^\(TEST_[0-9a-z_]*\) .*/\1/p')} for func in $funcs ; do setup $dir || return 1 $func $dir || return 1 ...
16,101
31.333333
155
sh
null
ceph-main/qa/standalone/osd/osd-config.sh
#!/usr/bin/env bash # # Copyright (C) 2014 Cloudwatt <libre.licensing@cloudwatt.com> # Copyright (C) 2014, 2015 Red Hat <contact@redhat.com> # # Author: Loic Dachary <loic@dachary.org> # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU Library Public License as publ...
3,502
34.744898
109
sh
null
ceph-main/qa/standalone/osd/osd-copy-from.sh
#!/usr/bin/env bash # # Copyright (C) 2014 Cloudwatt <libre.licensing@cloudwatt.com> # Copyright (C) 2014, 2015 Red Hat <contact@redhat.com> # # Author: Loic Dachary <loic@dachary.org> # Author: Sage Weil <sage@redhat.com> # # This program is free software; you can redistribute it and/or modify # it under the terms of ...
1,940
27.130435
83
sh
null
ceph-main/qa/standalone/osd/osd-dup.sh
#!/usr/bin/env bash source $CEPH_ROOT/qa/standalone/ceph-helpers.sh [ `uname` = FreeBSD ] && exit 0 function run() { local dir=$1 shift export CEPH_MON="127.0.0.1:7146" # git grep '\<7146\>' : there must be only one export CEPH_ARGS CEPH_ARGS+="--fsid=$(uuidgen) --auth-supported=none " CEPH_...
845
26.290323
83
sh
null
ceph-main/qa/standalone/osd/osd-fast-mark-down.sh
#!/usr/bin/env bash # # Copyright (C) 2016 Piotr Dałek <git@predictor.org.pl> # Copyright (C) 2014, 2015 Red Hat <contact@redhat.com> # # Author: Piotr Dałek <git@predictor.org.pl> # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU Library Public License as publishe...
3,112
26.794643
94
sh
null
ceph-main/qa/standalone/osd/osd-force-create-pg.sh
#!/usr/bin/env bash source $CEPH_ROOT/qa/standalone/ceph-helpers.sh function run() { local dir=$1 shift export CEPH_MON="127.0.0.1:7145" # git grep '\<7145\>' : there must be only one export CEPH_ARGS CEPH_ARGS+="--fsid=$(uuidgen) --auth-supported=none " CEPH_ARGS+="--mon-host=$CEPH_MON " ...
1,599
28.62963
87
sh
null
ceph-main/qa/standalone/osd/osd-markdown.sh
#!/usr/bin/env bash # # Copyright (C) 2015 Intel <contact@intel.com.com> # Copyright (C) 2014, 2015 Red Hat <contact@redhat.com> # # Author: Xiaoxi Chen <xiaoxi.chen@intel.com> # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU Library Public License as published by...
4,487
28.92
83
sh
null
ceph-main/qa/standalone/osd/osd-reactivate.sh
#!/usr/bin/env bash # # Author: Vicente Cheng <freeze.bilsted@gmail.com> # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU Library Public License as published by # the Free Software Foundation; either version 2, or (at your option) # any later version. # # This pro...
1,537
25.982456
83
sh
null
ceph-main/qa/standalone/osd/osd-recovery-prio.sh
#!/usr/bin/env bash # # Copyright (C) 2019 Red Hat <contact@redhat.com> # # Author: David Zafman <dzafman@redhat.com> # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU Library Public License as published by # the Free Software Foundation; either version 2, or (at y...
16,123
28.694291
128
sh
null
ceph-main/qa/standalone/osd/osd-recovery-space.sh
#!/usr/bin/env bash # # Copyright (C) 2018 Red Hat <contact@redhat.com> # # Author: David Zafman <dzafman@redhat.com> # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU Library Public License as published by # the Free Software Foundation; either version 2, or (at y...
4,533
24.615819
83
sh
null
ceph-main/qa/standalone/osd/osd-recovery-stats.sh
#!/usr/bin/env bash # # Copyright (C) 2017 Red Hat <contact@redhat.com> # # Author: David Zafman <dzafman@redhat.com> # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU Library Public License as published by # the Free Software Foundation; either version 2, or (at y...
16,055
30.298246
289
sh
null
ceph-main/qa/standalone/osd/osd-rep-recov-eio.sh
#!/usr/bin/env bash # # Copyright (C) 2017 Red Hat <contact@redhat.com> # # # Author: Kefu Chai <kchai@redhat.com> # Author: David Zafman <dzafman@redhat.com> # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU Library Public License as published by # the Free Softwa...
12,222
27.895981
97
sh
null
ceph-main/qa/standalone/osd/osd-reuse-id.sh
#!/usr/bin/env bash # # Copyright (C) 2015 Red Hat <contact@redhat.com> # # Author: Loic Dachary <loic@dachary.org> # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU Library Public License as published by # the Free Software Foundation; either version 2, or (at you...
1,581
28.296296
87
sh
null
ceph-main/qa/standalone/osd/pg-split-merge.sh
#!/usr/bin/env bash source $CEPH_ROOT/qa/standalone/ceph-helpers.sh function run() { local dir=$1 shift export CEPH_MON="127.0.0.1:7147" # git grep '\<7147\>' : there must be only one export CEPH_ARGS CEPH_ARGS+="--fsid=$(uuidgen) --auth-supported=none " CEPH_ARGS+="--mon-host=$CEPH_MON --mon_...
6,885
32.754902
116
sh
null
ceph-main/qa/standalone/osd/repeer-on-acting-back.sh
#!/usr/bin/env bash # # Copyright (C) 2020 ZTE Corporation <contact@zte.com.cn> # # Author: xie xingguo <xie.xingguo@zte.com.cn> # Author: Yan Jun <yan.jun8@zte.com.cn> # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU Library Public License as published by # the ...
3,773
28.030769
124
sh
null
ceph-main/qa/standalone/osd/repro_long_log.sh
#!/usr/bin/env bash # # Copyright (C) 2014 Cloudwatt <libre.licensing@cloudwatt.com> # Copyright (C) 2018 Red Hat <contact@redhat.com> # # Author: Josh Durgin <jdurgin@redhat.com> # Author: David Zafman <dzafman@redhat.com> # # This program is free software; you can redistribute it and/or modify # it under the terms of...
6,109
29.858586
176
sh
null
ceph-main/qa/standalone/scrub/osd-mapper.sh
#!/usr/bin/env bash # -*- mode:text; tab-width:8; c-basic-offset:2; indent-tabs-mode:t -*- # vim: ts=8 sw=2 smarttab # # test the handling of a corrupted SnapMapper DB by Scrub source $CEPH_ROOT/qa/standalone/ceph-helpers.sh source $CEPH_ROOT/qa/standalone/scrub/scrub-helpers.sh function run() { local dir=$1 shif...
6,662
35.409836
146
sh
null
ceph-main/qa/standalone/scrub/osd-recovery-scrub.sh
#! /usr/bin/env bash # # Copyright (C) 2017 Red Hat <contact@redhat.com> # # Author: David Zafman <dzafman@redhat.com> # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU Library Public License as published by # the Free Software Foundation; either version 2, or (at ...
10,362
27.008108
119
sh
null
ceph-main/qa/standalone/scrub/osd-scrub-dump.sh
#!/usr/bin/env bash # # Copyright (C) 2019 Red Hat <contact@redhat.com> # # Author: David Zafman <dzafman@redhat.com> # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU Library Public License as published by # the Free Software Foundation; either version 2, or (at y...
4,814
25.75
122
sh
null
ceph-main/qa/standalone/scrub/osd-scrub-repair.sh
#!/usr/bin/env bash # # Copyright (C) 2014 Red Hat <contact@redhat.com> # # Author: Loic Dachary <loic@dachary.org> # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU Library Public License as published by # the Free Software Foundation; either version 2, or (at you...
173,160
26.679188
597
sh
null
ceph-main/qa/standalone/scrub/osd-scrub-snaps.sh
#!/usr/bin/env bash # # Copyright (C) 2015 Red Hat <contact@redhat.com> # # Author: David Zafman <dzafman@redhat.com> # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU Library Public License as published by # the Free Software Foundation; either version 2, or (at y...
33,375
27.070648
207
sh
null
ceph-main/qa/standalone/scrub/osd-scrub-test.sh
#!/usr/bin/env bash # # Copyright (C) 2018 Red Hat <contact@redhat.com> # # Author: David Zafman <dzafman@redhat.com> # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU Library Public License as published by # the Free Software Foundation; either version 2, or (at y...
21,614
31.165179
152
sh
null
ceph-main/qa/standalone/scrub/osd-unexpected-clone.sh
#!/usr/bin/env bash # # Copyright (C) 2015 Intel <contact@intel.com.com> # Copyright (C) 2014, 2015 Red Hat <contact@redhat.com> # # Author: Xiaoxi Chen <xiaoxi.chen@intel.com> # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU Library Public License as published by...
2,466
26.411111
83
sh
null
ceph-main/qa/standalone/scrub/scrub-helpers.sh
#!/usr/bin/env bash # @file scrub-helpers.sh # @brief a collection of bash functions useful for scrub standalone tests # # extract_published_sch() # # Use the output from both 'ceph pg dump pgs' and 'ceph pg x.x query' commands to determine # the published scrub scheduling status of a given PG. # # $1: pg id # $2: ...
10,515
33.706271
151
sh
null
ceph-main/qa/standalone/special/test-failure.sh
#!/usr/bin/env bash set -ex source $CEPH_ROOT/qa/standalone/ceph-helpers.sh function run() { local dir=$1 shift export CEPH_MON="127.0.0.1:7202" # git grep '\<7202\>' : there must be only one export CEPH_ARGS CEPH_ARGS+="--fsid=$(uuidgen) --auth-supported=none " CEPH_ARGS+="--mon-host=$CEPH_M...
880
16.979592
83
sh
null
ceph-main/qa/workunits/ceph-helpers-root.sh
#!/usr/bin/env bash # # Copyright (C) 2015 Red Hat <contact@redhat.com> # # Author: Loic Dachary <loic@dachary.org> # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU Library Public License as published by # the Free Software Foundation; either version 2, or (at you...
3,944
29.346154
122
sh
null
ceph-main/qa/workunits/false.sh
#!/bin/sh -ex false
20
6
13
sh
null
ceph-main/qa/workunits/kernel_untar_build.sh
#!/usr/bin/env bash set -ex wget -O linux.tar.gz http://download.ceph.com/qa/linux-5.4.tar.gz mkdir t cd t tar xzf ../linux.tar.gz cd linux* make defconfig make -j`grep -c processor /proc/cpuinfo` cd .. if ! rm -rv linux* ; then echo "uh oh rm -r failed, it left behind:" find . exit 1 fi cd .. rm -rv t l...
326
14.571429
65
sh
null
ceph-main/qa/workunits/post-file.sh
#!/usr/bin/env bash set -ex what="$1" [ -z "$what" ] && what=/etc/udev/rules.d sudo ceph-post-file -d ceph-test-workunit $what echo OK
137
14.333333
47
sh
null
ceph-main/qa/workunits/test_telemetry_pacific.sh
#!/bin/bash -ex # Set up ident details for cluster ceph config set mgr mgr/telemetry/channel_ident true ceph config set mgr mgr/telemetry/organization 'ceph-qa' ceph config set mgr mgr/telemetry/description 'upgrade test cluster' # Opt-in ceph telemetry on --license sharing-1-0 # Check last_opt_revision LAST_OPT_REV...
573
22.916667
72
sh
null
ceph-main/qa/workunits/test_telemetry_pacific_x.sh
#!/bin/bash -ex # Assert that we're still opted in LAST_OPT_REVISION=$(ceph config get mgr mgr/telemetry/last_opt_revision) if [ $LAST_OPT_REVISION -ne 3 ]; then echo "last_opt_revision is incorrect" exit 1 fi # Check the warning: STATUS=$(ceph -s) if ! [[ $STATUS == *"Telemetry requires re-opt-in"* ]] then ...
1,374
21.916667
108
sh
null
ceph-main/qa/workunits/test_telemetry_quincy.sh
#!/bin/bash -ex # Set up ident details for cluster ceph config set mgr mgr/telemetry/channel_ident true ceph config set mgr mgr/telemetry/organization 'ceph-qa' ceph config set mgr mgr/telemetry/description 'upgrade test cluster' #Run preview commands ceph telemetry preview ceph telemetry preview-device ceph telemet...
1,191
25.488889
108
sh
null
ceph-main/qa/workunits/test_telemetry_quincy_x.sh
#!/bin/bash -ex # For quincy, the last_opt_revision remains at 1 since last_opt_revision # was phased out for fresh installs of quincy. LAST_OPT_REVISION=$(ceph config get mgr mgr/telemetry/last_opt_revision) if [ $LAST_OPT_REVISION -ne 1 ]; then echo "last_opt_revision is incorrect" exit 1 fi # Check the war...
977
22.853659
108
sh
null
ceph-main/qa/workunits/true.sh
#!/bin/sh -ex true
20
4.25
13
sh
null
ceph-main/qa/workunits/caps/mon_commands.sh
#!/bin/sh -ex ceph-authtool --create-keyring k --gen-key -p --name client.xx ceph auth add -i k client.xx mon "allow command foo; allow command bar *; allow command baz ...; allow command foo add * mon allow\\ rwx osd allow\\ *" ( ceph -k k -n client.xx foo || true ) | grep 'unrecog' ( ceph -k k -n client.xx foo...
1,352
53.12
151
sh
null
ceph-main/qa/workunits/ceph-tests/ceph-admin-commands.sh
#!/bin/sh -ex ceph -s rados lspools rbd ls # check that the monitors work ceph osd set nodown ceph osd unset nodown exit 0
125
10.454545
30
sh
null
ceph-main/qa/workunits/cephadm/create_iscsi_disks.sh
#!/bin/bash -ex # Create some file-backed iSCSI targets and attach them locally. # Exit if it's not CentOS if ! grep -q rhel /etc/*-release; then echo "The script only supports CentOS." exit 1 fi [ -z "$SUDO" ] && SUDO=sudo # 15 GB DISK_FILE_SIZE="16106127360" $SUDO yum install -y targetcli iscsi-initiator-...
1,325
34.837838
87
sh
null
ceph-main/qa/workunits/cephadm/test_adoption.sh
#!/bin/bash -ex SCRIPT_NAME=$(basename ${BASH_SOURCE[0]}) SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" CEPHADM_SRC_DIR=${SCRIPT_DIR}/../../../src/cephadm CORPUS_COMMIT=9cd9ad020d93b0b420924fec55da307aff8bd422 [ -z "$SUDO" ] && SUDO=sudo [ -d "$TMPDIR" ] || TMPDIR=$(mktemp -d tmp.$SCRIPT_NAME.XXXXXX...
1,838
29.147541
67
sh
null
ceph-main/qa/workunits/cephadm/test_cephadm.sh
#!/bin/bash -ex SCRIPT_NAME=$(basename ${BASH_SOURCE[0]}) SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" # cleanup during exit [ -z "$CLEANUP" ] && CLEANUP=true FSID='00000000-0000-0000-0000-0000deadbeef' # images that are used IMAGE_MAIN=${IMAGE_MAIN:-'quay.ceph.io/ceph-ci/ceph:main'} IMAGE_PACIFIC...
15,287
31.185263
165
sh
null
ceph-main/qa/workunits/cephadm/test_dashboard_e2e.sh
#!/bin/bash -ex SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" DASHBOARD_FRONTEND_DIR=${SCRIPT_DIR}/../../../src/pybind/mgr/dashboard/frontend [ -z "$SUDO" ] && SUDO=sudo install_common () { NODEJS_VERSION="16" if grep -q debian /etc/*-release; then $SUDO apt-get update # htt...
4,224
38.12037
147
sh
null
ceph-main/qa/workunits/cephadm/test_iscsi_etc_hosts.sh
#!/bin/bash # checks if the container and host's /etc/hosts files match # Necessary to avoid potential bugs caused by podman making # edits to /etc/hosts file in the container # exits with code 1 if host and iscsi container /etc/hosts do no match set -ex ISCSI_DAEMON=$(sudo /home/ubuntu/cephtest/cephadm ls | jq -r '...
819
36.272727
114
sh
null
ceph-main/qa/workunits/cephadm/test_iscsi_pids_limit.sh
#!/bin/bash # checks if the containers default pids-limit (4096) is removed and Iscsi # containers continue to run # exits 1 if fails set -ex ISCSI_CONT_IDS=$(sudo podman ps -qa --filter='name=iscsi') CONT_COUNT=$(echo ${ISCSI_CONT_IDS} | wc -w) test ${CONT_COUNT} -eq 2 for i in ${ISCSI_CONT_IDS} do test $(sudo p...
648
20.633333
77
sh
null
ceph-main/qa/workunits/cephadm/test_repos.sh
#!/bin/bash -ex SCRIPT_NAME=$(basename ${BASH_SOURCE[0]}) SCRIPT_DIR=$(dirname ${BASH_SOURCE[0]}) CEPHADM_SRC_DIR=${SCRIPT_DIR}/../../../src/cephadm [ -d "$TMPDIR" ] || TMPDIR=$(mktemp -d tmp.$SCRIPT_NAME.XXXXXX) trap "$SUDO rm -rf $TMPDIR" EXIT if [ -z "$CEPHADM" ]; then CEPHADM=`mktemp -p $TMPDIR tmp.cephadm.X...
1,250
26.195652
63
sh
null
ceph-main/qa/workunits/cephtool/test.sh
#!/usr/bin/env bash # -*- mode:shell-script; tab-width:8; sh-basic-offset:2; indent-tabs-mode:t -*- # vim: ts=8 sw=8 ft=bash smarttab set -x source $(dirname $0)/../../standalone/ceph-helpers.sh set -e set -o functrace PS4='${BASH_SOURCE[0]}:$LINENO: ${FUNCNAME[0]}: ' SUDO=${SUDO:-sudo} export CEPH_DEV=1 function c...
106,096
34.460227
173
sh
null
ceph-main/qa/workunits/cephtool/test_daemon.sh
#!/usr/bin/env bash set -ex expect_false() { set -x if "$@"; then return 1; else return 0; fi } echo note: assuming mon.a is on the current host # can set to 'sudo ./ceph' to execute tests from current dir for development CEPH=${CEPH:-'sudo ceph'} ${CEPH} daemon mon.a version | grep version # get debug_ms setti...
1,184
25.931818
76
sh
null
ceph-main/qa/workunits/cephtool/test_kvstore_tool.sh
#!/usr/bin/env bash set -x source $(dirname $0)/../../standalone/ceph-helpers.sh set -e set -o functrace PS4='${BASH_SOURCE[0]}:$LINENO: ${FUNCNAME[0]}: ' SUDO=${SUDO:-sudo} export CEPH_DEV=1 echo note: test ceph_kvstore_tool with bluestore expect_false() { set -x if "$@"; then return 1; else return 0; fi...
1,976
26.458333
101
sh
null
ceph-main/qa/workunits/client/test.sh
#!/bin/sh set -ex ceph_test_client
37
5.333333
16
sh
null
ceph-main/qa/workunits/cls/test_cls_2pc_queue.sh
#!/bin/sh -e ceph_test_cls_2pc_queue exit 0
46
6.833333
23
sh
null
ceph-main/qa/workunits/cls/test_cls_cas.sh
#!/bin/sh -e GTEST_FILTER=${CLS_CAS_GTEST_FILTER:-*} ceph_test_cls_cas --gtest_filter=${GTEST_FILTER} exit 0
111
15
48
sh
null
ceph-main/qa/workunits/cls/test_cls_cmpomap.sh
#!/bin/sh -e ceph_test_cls_cmpomap exit 0
44
6.5
21
sh
null
ceph-main/qa/workunits/cls/test_cls_hello.sh
#!/bin/sh -e ceph_test_cls_hello exit 0
42
6.166667
19
sh
null
ceph-main/qa/workunits/cls/test_cls_journal.sh
#!/bin/sh -e GTEST_FILTER=${CLS_JOURNAL_GTEST_FILTER:-*} ceph_test_cls_journal --gtest_filter=${GTEST_FILTER} exit 0
119
16.142857
52
sh
null
ceph-main/qa/workunits/cls/test_cls_lock.sh
#!/bin/sh -e ceph_test_cls_lock exit 0
41
6
18
sh
null
ceph-main/qa/workunits/cls/test_cls_log.sh
#!/bin/sh -e ceph_test_cls_log exit 0
40
5.833333
17
sh
null
ceph-main/qa/workunits/cls/test_cls_numops.sh
#!/bin/sh -e ceph_test_cls_numops exit 0
43
6.333333
20
sh
null
ceph-main/qa/workunits/cls/test_cls_rbd.sh
#!/bin/sh -e GTEST_FILTER=${CLS_RBD_GTEST_FILTER:-*} ceph_test_cls_rbd --gtest_filter=${GTEST_FILTER} exit 0
111
15
48
sh
null
ceph-main/qa/workunits/cls/test_cls_refcount.sh
#!/bin/sh -e ceph_test_cls_refcount exit 0
45
6.666667
22
sh
null
ceph-main/qa/workunits/cls/test_cls_rgw.sh
#!/bin/sh -e ceph_test_cls_rgw #ceph_test_cls_rgw_meta #ceph_test_cls_rgw_log #ceph_test_cls_rgw_opstate exit 0
114
11.777778
26
sh
null
ceph-main/qa/workunits/cls/test_cls_rgw_gc.sh
#!/bin/sh -e ceph_test_cls_rgw_gc exit 0
43
6.333333
20
sh
null
ceph-main/qa/workunits/cls/test_cls_rgw_stats.sh
#!/bin/sh -e ceph_test_cls_rgw_stats exit 0
46
6.833333
23
sh
null
ceph-main/qa/workunits/cls/test_cls_sdk.sh
#!/bin/sh -e ceph_test_cls_sdk exit 0
40
5.833333
17
sh
null
ceph-main/qa/workunits/direct_io/big.sh
#!/bin/sh -ex echo "test large (16MB) dio write" dd if=/dev/zero of=foo.big bs=16M count=1 oflag=direct echo OK
114
15.428571
54
sh
null
ceph-main/qa/workunits/direct_io/misc.sh
#!/bin/sh -ex # a few test cases from henry echo "test read from hole" dd if=/dev/zero of=dd3 bs=1 seek=1048576 count=0 dd if=dd3 of=/tmp/ddout1 skip=8 bs=512 count=2 iflag=direct dd if=/dev/zero of=/tmp/dd3 bs=512 count=2 cmp /tmp/dd3 /tmp/ddout1 echo "other thing" dd if=/dev/urandom of=/tmp/dd10 bs=500 count=1 dd i...
466
26.470588
64
sh
null
ceph-main/qa/workunits/erasure-code/bench.html
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd" > <html> <head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Erasure Code Plugins Benchmarks</title> <link href="examples.css" rel="stylesheet" type="text/css"> <script language="jav...
1,168
32.4
98
html
null
ceph-main/qa/workunits/erasure-code/bench.sh
#!/usr/bin/env bash # # Copyright (C) 2015 Red Hat <contact@redhat.com> # Copyright (C) 2013,2014 Cloudwatt <libre.licensing@cloudwatt.com> # # Author: Loic Dachary <loic@dachary.org> # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU Library Public License as publi...
5,694
28.507772
96
sh
null
ceph-main/qa/workunits/erasure-code/encode-decode-non-regression.sh
#!/usr/bin/env bash # # Copyright (C) 2014 Red Hat <contact@redhat.com> # # Author: Loic Dachary <loic@dachary.org> # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU Library Public License as published by # the Free Software Foundation; either version 2, or (at you...
1,196
28.195122
75
sh
null
ceph-main/qa/workunits/fs/cephfs_mirror_ha_gen.sh
#!/bin/bash -ex # # cephfs_mirror_ha_gen.sh - generate workload to synchronize # . $(dirname $0)/cephfs_mirror_helpers.sh cleanup() { for i in `seq 1 $NR_DIRECTORIES` do local repo_name="${REPO_PATH_PFX}_$i" for j in `seq 1 $NR_SNAPSHOTS` do snap_name=$repo_name/.snap/snap_...
1,541
21.028571
85
sh
null
ceph-main/qa/workunits/fs/cephfs_mirror_ha_verify.sh
#!/bin/bash -ex # # cephfs_mirror_ha_verify.sh - verify synchronized snapshots # . $(dirname $0)/cephfs_mirror_helpers.sh echo "running verifier on secondary file system..." for i in `seq 1 $NR_DIRECTORIES` do repo_name="${REPO_PATH_PFX}_$i" for j in `seq 1 $NR_SNAPSHOTS` do for s in 1 1 2 4 4 4 ...
1,223
28.853659
67
sh
null
ceph-main/qa/workunits/fs/cephfs_mirror_helpers.sh
PRIMARY_FS='dc' BACKUP_FS='dc-backup' REPO=ceph-qa-suite REPO_DIR=ceph_repo REPO_PATH_PFX="$REPO_DIR/$REPO" NR_DIRECTORIES=4 NR_SNAPSHOTS=4 MIRROR_SUBDIR='/mirror' calc_checksum() { local path=$1 local -n ref=$2 ref=`find -L $path -type f -exec md5sum {} + | awk '{ print $1 }' | md5sum | awk '{ print $1...
1,289
18.253731
101
sh
null
ceph-main/qa/workunits/fs/fscrypt.sh
#!/usr/bin/env bash set -xe mydir=`dirname $0` if [ $# -ne 2 ] then echo "2 parameters are required!\n" echo "Usage:" echo " fscrypt.sh <type> <testdir>" echo " type: should be any of 'none', 'unlocked' or 'locked'" echo " testdir: the test direcotry name" exit 1 fi fscrypt=$1 testcase=$2 testdir=fscrypt_t...
2,581
20.516667
73
sh
null
ceph-main/qa/workunits/fs/snap-hierarchy.sh
#!/bin/sh set -ex if [ -d "$1" ]; then mkdir -p -- "$1" && cd "$1" fi [ "$VERIFY" != verify ] && mkdir 1 [ "$VERIFY" != verify ] && mkdir 1/.snap/first stat 1/.snap/first [ "$VERIFY" != verify ] && mkdir 1/2 stat 1/.snap/first/2 && exit 1 [ "$VERIFY" != verify ] && mkdir 1/2/.snap/second stat 1/2/.snap/second [ "$...
589
22.6
49
sh
null
ceph-main/qa/workunits/fs/test_o_trunc.sh
#!/bin/sh -ex mydir=`dirname $0` $mydir/test_o_trunc trunc.foo 600 echo OK
78
8.875
33
sh
null
ceph-main/qa/workunits/fs/test_python.sh
#!/bin/sh -ex # Running as root because the filesystem root directory will be # owned by uid 0, and that's where we're writing. sudo python3 -m nose -v $(dirname $0)/../../../src/test/pybind/test_cephfs.py exit 0
214
29.714286
77
sh
null
ceph-main/qa/workunits/fs/damage/test-first-damage.sh
#!/bin/bash set -ex FIRST_DAMAGE="first-damage.py" FS=cephfs METADATA_POOL=cephfs_meta MOUNT=~/mnt/mnt.0 PYTHON=python3 function usage { printf '%s: [--fs=<fs_name>] [--metadata-pool=<pool>] [--first-damage=</path/to/first-damage.py>]\n' exit 1 } function create { ceph config set mds mds_bal_fragment_dirs 0 ...
4,385
21.492308
125
sh
null
ceph-main/qa/workunits/fs/full/subvolume_clone.sh
#!/usr/bin/env bash set -ex # This testcase tests the 'ceph fs subvolume snapshot clone' when the osd is full. # The clone fails with 'MetadataMgrException: -28 (error in write)' and # truncates the config file of corresponding subvolume while updating the config file. # Hence the subsequent subvolume commands on the...
3,553
30.175439
133
sh
null
ceph-main/qa/workunits/fs/full/subvolume_rm.sh
#!/usr/bin/env bash set -ex # This testcase tests the scenario of the 'ceph fs subvolume rm' mgr command # when the osd is full. The command used to hang. The osd is of the size 1GB. # The subvolume is created and 500MB file is written. The full-ratios are # set below 500MB such that the osd is treated as full. Now th...
1,766
23.205479
93
sh
null
ceph-main/qa/workunits/fs/full/subvolume_snapshot_rm.sh
#!/usr/bin/env bash set -ex # This testcase tests the 'ceph fs subvolume snapshot rm' when the osd is full. # The snapshot rm fails with 'MetadataMgrException: -28 (error in write)' and # truncates the config file of corresponding subvolume. Hence the subsequent # snapshot rm of the same snapshot fails with 'Metadata...
2,595
28.83908
123
sh
null
ceph-main/qa/workunits/fs/maxentries/maxentries.sh
#!/usr/bin/env bash set -ex function expect_false() { set -x if "$@"; then return 1; else return 0; fi } function make_files() { set +x temp_dir=`mktemp -d mkfile_test_XXXXXX` for i in $(seq 1 $1) do echo -n | dd of="${temp_dir}/file_$i" conv=fsync || return 1 sync "${temp_dir}" || return 1 done ...
2,730
16.50641
64
sh
null
ceph-main/qa/workunits/fs/misc/acl.sh
#!/bin/sh -x set -e mkdir -p testdir cd testdir set +e setfacl -d -m u:nobody:rw . if test $? != 0; then echo "Filesystem does not support ACL" exit 0 fi expect_failure() { if "$@"; then return 1; else return 0; fi } set -e c=0 while [ $c -lt 100 ] do c=`expr $c + 1` # inherited ACL from parent directory's de...
919
17.039216
63
sh